org.richfaces.fragment.panelMenu

## Class RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions

- java.lang.Object
- - org.richfaces.fragment.panelMenu.AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions
  - - org.richfaces.fragment.panelMenu.RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesPanelMenuGroup

      public class RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions
      extends AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getHeaderElement()`
    `org.openqa.selenium.WebElement` | `getLabelElement()`
    `org.openqa.selenium.WebElement` | `getLeftIconElement()`
    `List<org.openqa.selenium.WebElement>` | `getMenuGroupElements()`
    `List<org.openqa.selenium.WebElement>` | `getMenuItemElements()`
    `org.openqa.selenium.WebElement` | `getRightIconElement()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `boolean` | `isDisabled()`
    `boolean` | `isExpanded()`
    `boolean` | `isSelected()`
    `boolean` | `isTransparent(org.openqa.selenium.WebElement icon)`

    - ### Methods inherited from class org.richfaces.fragment.panelMenu.AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions

      `getCollapseEvent, getCssCollapsedSuffix, getCssDisabledSuffix, getCssExpandedSuffix, getCssHoveredSuffix, getCssSelectedSuffix, getCssTransparentSuffix, getExpandEvent, getHeaderSelectorToInovkeEventOn, getTimeoutForMenuGroupToBeCollapsed, getTimoutForMenuGroupToBeExpanded, isGroupExpanded, isVisible, setCollapseEvent, setExpandEvent, setTimeoutForMenuGroupToBeCollapsed, setTimoutForMenuGroupToBeExpanded, waitUntilMenuGroupCollapsed, waitUntilMenuGroupExpanded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.common.VisibleComponentInteractions

      `isVisible`

- - ### Constructor Detail

    - #### RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions

          public RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions()

  - ### Method Detail

    - #### getMenuGroupElements

          public List<org.openqa.selenium.WebElement> getMenuGroupElements()

    - #### getMenuItemElements

          public List<org.openqa.selenium.WebElement> getMenuItemElements()

    - #### isExpanded

          public boolean isExpanded()

    - #### getLabelElement

          public org.openqa.selenium.WebElement getLabelElement()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

      Specified by:
        `getRootElement` in class `AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions`

    - #### isTransparent

          public boolean isTransparent(org.openqa.selenium.WebElement icon)

    - #### getLeftIconElement

          public org.openqa.selenium.WebElement getLeftIconElement()

    - #### getRightIconElement

          public org.openqa.selenium.WebElement getRightIconElement()

    - #### getHeaderElement

          public org.openqa.selenium.WebElement getHeaderElement()

    - #### isDisabled

          public boolean isDisabled()

    - #### isSelected

          public boolean isSelected()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.